Page MenuHomePhabricator

Create mock-entry point for CSR
Closed, ResolvedPublic

Description

When running CSR up there should be a demo of the feature. For example this should be a statement from wikibase.

At this stage there doesn't need to be any mock data.

It should probably contain a "fake" statement with nothing else bound to it at the start.

This probably means adding content to src/mock-entry.ts

A/C

  • When docker-compose up csr a service should start serving a simple HTML page with something statement like on it

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAdd a static statement element for mock entry purposes

Event Timeline

Tarrow created this task.Sep 13 2019, 12:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2019, 12:46 PM
Tarrow updated the task description. (Show Details)Sep 16 2019, 1:31 PM
Tarrow updated the task description. (Show Details)Sep 17 2019, 8:05 AM
Tarrow updated the task description. (Show Details)
noarave claimed this task.Sep 17 2019, 9:36 AM
Restricted Application added a project: User-Noarave. · View Herald TranscriptSep 17 2019, 9:36 AM

Change 537643 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/Wikibase@master] Add a static statement element for mock entry purposes

https://gerrit.wikimedia.org/r/537643

Tarrow updated the task description. (Show Details)Sep 19 2019, 7:21 AM
Tarrow moved this task from Doing to Done on the Wikidata-Tainted-References-Sprint1 board.

Change 537643 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add a static statement element for mock entry purposes

https://gerrit.wikimedia.org/r/537643

WMDE-leszek closed this task as Resolved.Sep 23 2019, 11:16 AM